Permalink
Browse files

Remove upper bounds on bytestring (yesodweb/shakespeare#60)

  • Loading branch information...
1 parent bf05686 commit e6d928124b58584cc6e86ea13148fe100e973983 @snoyberg snoyberg committed Apr 29, 2012
@@ -29,7 +29,7 @@ flag blaze_html_0_5
library
build-depends: base >= 4 && < 5
, wai >= 1.2 && < 1.3
- , bytestring >= 0.9.1.4 && < 0.10
+ , bytestring >= 0.9.1.4
, http-types >= 0.6 && < 0.7
, transformers >= 0.2.2 && < 0.4
, unix-compat >= 0.2
@@ -15,7 +15,7 @@ license-file: LICENSE
Library
Build-depends:
base >= 4.3 && < 5
- , bytestring >= 0.9.1.4 && < 0.10
+ , bytestring >= 0.9.1.4
, blaze-builder >= 0.3 && < 0.4
, conduit >= 0.4 && < 0.5
, http-types >= 0.6 && < 0.7
@@ -21,7 +21,7 @@ extra-source-files:
Library
Build-Depends: base >= 4 && < 5
- , bytestring >= 0.9.1.4 && < 0.10
+ , bytestring >= 0.9.1.4
, wai >= 1.2 && < 1.3
, old-locale >= 1.0.0.2 && < 1.1
, time >= 1.1.4
@@ -28,7 +28,7 @@ Library
, warp >= 1.2 && < 1.3
, directory >= 1.0.1 && < 1.2
, network >= 2.2.1.5 && < 2.4
- , bytestring >= 0.9.1.4 && < 0.10
+ , bytestring >= 0.9.1.4
, hint >= 0.3.2.3 && < 0.4
, text >= 0.7 && < 0.12
, old-time
@@ -17,7 +17,7 @@ library
build-depends: base >= 4 && < 5
, wai >= 1.2 && < 1.3
, wai-extra >= 1.2 && < 1.3
- , bytestring >= 0.9.1.4 && < 0.10
+ , bytestring >= 0.9.1.4
exposed-modules: Network.Wai.Handler.FastCGI
ghc-options: -Wall
includes: fcgiapp.h
@@ -17,7 +17,7 @@ Library
, warp >= 1.2 && < 1.3
, http-types >= 0.6 && < 0.7
, transformers >= 0.2.2 && < 0.4
- , bytestring >= 0.9.1.4 && < 0.10
+ , bytestring >= 0.9.1.4
, blaze-builder >= 0.2.1.4 && < 0.4
, conduit >= 0.4 && < 0.5
, blaze-builder-conduit >= 0.4 && < 0.5
@@ -16,7 +16,7 @@ library
build-depends: base >= 4 && < 5
, wai >= 1.2 && < 1.3
, wai-extra >= 1.2 && < 1.3
- , bytestring >= 0.9.1.4 && < 0.10
+ , bytestring >= 0.9.1.4
exposed-modules: Network.Wai.Handler.SCGI
ghc-options: -Wall
View
@@ -15,7 +15,7 @@ description: Unit test framework (built on HUnit) for WAI applications.
library
build-depends: base >= 4 && < 5
, wai >= 1.2 && < 1.3
- , bytestring >= 0.9.1.4 && < 0.10
+ , bytestring >= 0.9.1.4
, text >= 0.7 && < 0.12
, blaze-builder >= 0.2.1.4 && < 0.4
, transformers >= 0.2.2 && < 0.4
@@ -18,7 +18,7 @@ flag example
Library
Build-Depends: base >= 3 && < 5
- , bytestring >= 0.9.1.4 && < 0.10
+ , bytestring >= 0.9.1.4
, conduit >= 0.4 && < 0.5
, wai >= 1.2 && < 1.3
, enumerator >= 0.4.8 && < 0.5
View
@@ -18,7 +18,7 @@ Source-repository head
Library
Build-Depends: base >= 4 && < 5
- , bytestring >= 0.9.1.4 && < 0.10
+ , bytestring >= 0.9.1.4
, blaze-builder >= 0.2.1.4 && < 0.4
, conduit >= 0.4 && < 0.5
, network >= 2.2.1.5 && < 2.4
@@ -21,7 +21,7 @@ Executable warp
, cmdargs >= 0.6.7
, directory >= 1.0
, containers >= 0.2 && < 0.5
- , bytestring >= 0.9.1.4 && < 0.10
+ , bytestring >= 0.9.1.4
, text >= 0.7 && < 0.12
source-repository head
View
@@ -14,7 +14,7 @@ Description: SSL support for Warp via the TLS package
Library
Build-Depends: base >= 4 && < 5
- , bytestring >= 0.9 && < 0.10
+ , bytestring >= 0.9
, wai >= 1.2 && < 1.3
, warp >= 1.2 && < 1.3
, transformers >= 0.2 && < 0.4
View
@@ -18,7 +18,7 @@ flag network-bytestring
Library
Build-Depends: base >= 3 && < 5
- , bytestring >= 0.9.1.4 && < 0.10
+ , bytestring >= 0.9.1.4
, wai >= 1.2 && < 1.3
, transformers >= 0.2.2 && < 0.4
, conduit >= 0.4 && < 0.5

0 comments on commit e6d9281

Please sign in to comment.